Skip to main content
`Ctrl`+`K`

# PetscDSGetConstants

Returns the array of constants passed to point functions from a `PetscDS` object

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetConstants(PetscDS ds, PeOp PetscInt *numConstants, PeOp const PetscScalar *constants[])

Not Collective

## Input Parameter

- ds - The `PetscDS` object

## Output Parameters

- numConstants - The number of constants, or pass in `NULL` if not required

- constants - The array of constants, `NULL` if there are none

## See Also

`PetscDS`, `PetscDSSetConstants()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages